Bug 1271153 - Spice-Warning **: reds.c:3122:spice_server_add_interface: unsupported char device interface
Spice-Warning **: reds.c:3122:spice_server_add_interface: unsupported char de...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Christophe Fergeau
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-13 05:19 EDT by poma
Modified: 2015-10-30 02:40 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-15 17:11:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description poma 2015-10-13 05:19:47 EDT
Description of problem:
Shared clipboard (copy and paste between guest and host) does not work.

Version-Release number of selected component (if applicable):
Spice guest agent daemon, version 0.16.0.
Spice guest agent X11 session agent, version 0.16.0.
# rpm -q spice-vdagent 
spice-vdagent-0.16.0-2.fc24.x86_64

How reproducible:
Of course.

Steps to Reproduce:
1. Run Fedora-Live-Xfce-x86_64-rawhide-20151012.iso
2. Install Fedora-Live-Xfce-x86_64-rawhide-20151012.iso 
3. Test

Actual results:
Did not I already wrote, shared clipboard does not work!!??

Expected results:
Cara mamma, mi sposo.

Additional info:
Now you ask me!
Comment 1 poma 2015-10-13 05:23:44 EDT
http://cgit.freedesktop.org/spice/linux/vd_agent/tree/README#n21
* Support of copy and paste (text and images) between the active X-session
  and the client. This supports both the primary selection and the clipboard.

http://cgit.freedesktop.org/spice/spice/tree/docs/manual/manual.txt#n71
... Other features of agent are shared clipboard (copy and paste
between guest and host) ...
Comment 2 poma 2015-10-13 05:25:01 EDT
# systemctl status spice-vdagentd.service 
● spice-vdagentd.service - Agent daemon for Spice guests
   Loaded: loaded (/usr/lib/systemd/system/spice-vdagentd.service; enabled; vendor preset: enabled)
  Drop-In: /etc/systemd/system/spice-vdagentd.service.d
           └─debug.conf
   Active: active (running) since Tue 2015-10-13 04:30:29 EDT; 30s ago
  Process: 579 ExecStart=/usr/sbin/spice-vdagentd -d -d (code=exited, status=0/SUCCESS)
  Process: 561 ExecStartPre=/bin/rm -f /var/run/spice-vdagentd/spice-vdagent-sock (code=exited, status=0/SUCCESS)
 Main PID: 584 (spice-vdagentd)
   CGroup: /system.slice/spice-vdagentd.service
           └─584 /usr/sbin/spice-vdagentd -d -d
Comment 3 poma 2015-10-13 05:25:46 EDT
Oct 13 04:30:29 lnx systemd[1]: Started Agent daemon for Spice guests.
Oct 13 04:30:31 lnx spice-vdagentd[584]: Active session: 1
Oct 13 04:30:32 lnx spice-vdagentd[584]: new client accepted: 0x5558c0daf8e0, pid: 1321
Oct 13 04:30:32 lnx spice-vdagentd[584]: Session for pid 1321: 1
Oct 13 04:30:32 lnx spice-vdagentd[584]: 0x5558c0daf8e0 sent version, arg1: 0, arg2: 0, size 7
Oct 13 04:30:32 lnx spice-vdagentd[584]: 0x5558c0daf8e0 is now the active session
Oct 13 04:30:32 lnx spice-vdagentd[584]: 0x5558c0daf8e0 received guest xorg resolution, arg1: 1024, arg2: 768, size 16
Oct 13 04:30:32 lnx spice-vdagentd[584]: uinput-update-size: 1024x768
Oct 13 04:30:32 lnx spice-vdagentd[584]: screen 0: +0+0
Oct 13 04:30:32 lnx spice-vdagentd[584]: opening vdagent virtio channel
Comment 4 poma 2015-10-13 05:26:33 EDT
# journalctl -b -t spice-vdagentd -t spice-vdagent
-- Logs begin at Mon 2015-10-12 13:49:09 EDT, end at Tue 2015-10-13 04:31:44 EDT. --
Oct 13 04:30:31 lnx spice-vdagentd[584]: Active session: 1
Oct 13 04:30:32 lnx spice-vdagentd[584]: new client accepted: 0x5558c0daf8e0, pid: 1321
Oct 13 04:30:32 lnx spice-vdagent[1321]: 0x55a91645ddc0 connected to /var/run/spice-vdagentd/spice-vdagent-sock
Oct 13 04:30:32 lnx spice-vdagent[1321]: Selection window: 14680065
Oct 13 04:30:32 lnx spice-vdagent[1321]: Screen 0 1024x768+0+0
Oct 13 04:30:32 lnx spice-vdagent[1321]: 0x55a91645ddc0 sent guest xorg resolution, arg1: 1024, arg2: 768, size 16
Oct 13 04:30:32 lnx spice-vdagent[1321]: net_wm_name: "Xfwm4", has icons: 1
Oct 13 04:30:32 lnx spice-vdagentd[584]: Session for pid 1321: 1
Oct 13 04:30:32 lnx spice-vdagentd[584]: 0x5558c0daf8e0 sent version, arg1: 0, arg2: 0, size 7
Oct 13 04:30:32 lnx spice-vdagentd[584]: 0x5558c0daf8e0 is now the active session
Oct 13 04:30:32 lnx spice-vdagentd[584]: 0x5558c0daf8e0 received guest xorg resolution, arg1: 1024, arg2: 768, size 16
Oct 13 04:30:32 lnx spice-vdagentd[584]: uinput-update-size: 1024x768
Oct 13 04:30:32 lnx spice-vdagentd[584]: screen 0: +0+0
Oct 13 04:30:32 lnx spice-vdagent[1321]: 0x55a91645ddc0 received version, arg1: 0, arg2: 0, size 7
Oct 13 04:30:32 lnx spice-vdagentd[584]: opening vdagent virtio channel
Oct 13 04:30:33 lnx spice-vdagent[1321]: unhandled x11 event, type 33, window 631
Oct 13 04:31:42 lnx spice-vdagent[1321]: primary: New selection owner: 25166000
Oct 13 04:31:42 lnx spice-vdagent[1321]: primary: received 9 targets:
Oct 13 04:31:42 lnx spice-vdagent[1321]: primary: TIMESTAMP
Oct 13 04:31:42 lnx spice-vdagent[1321]: primary: TARGETS
Oct 13 04:31:42 lnx spice-vdagent[1321]: primary: MULTIPLE
Oct 13 04:31:42 lnx spice-vdagent[1321]: primary: UTF8_STRING
Oct 13 04:31:42 lnx spice-vdagent[1321]: primary: COMPOUND_TEXT
Oct 13 04:31:42 lnx spice-vdagent[1321]: primary: TEXT
Oct 13 04:31:42 lnx spice-vdagent[1321]: primary: STRING
Oct 13 04:31:42 lnx spice-vdagent[1321]: primary: text/plain;charset=utf-8
Oct 13 04:31:42 lnx spice-vdagent[1321]: primary: text/plain
Oct 13 04:31:42 lnx spice-vdagent[1321]: 0x55a91645ddc0 sent clipboard grab, arg1: 1, arg2: 0, size 4
Oct 13 04:31:42 lnx spice-vdagentd[584]: 0x5558c0daf8e0 received clipboard grab, arg1: 1, arg2: 0, size 4
Oct 13 04:31:43 lnx spice-vdagent[1321]: clipboard: New selection owner: 25166000
Oct 13 04:31:44 lnx spice-vdagent[1321]: clipboard: received 10 targets:
Oct 13 04:31:44 lnx spice-vdagent[1321]: clipboard: TIMESTAMP
Oct 13 04:31:44 lnx spice-vdagent[1321]: clipboard: TARGETS
Oct 13 04:31:44 lnx spice-vdagent[1321]: clipboard: MULTIPLE
Oct 13 04:31:44 lnx spice-vdagent[1321]: clipboard: SAVE_TARGETS
Oct 13 04:31:44 lnx spice-vdagent[1321]: clipboard: UTF8_STRING
Oct 13 04:31:44 lnx spice-vdagent[1321]: clipboard: COMPOUND_TEXT
Oct 13 04:31:44 lnx spice-vdagent[1321]: clipboard: TEXT
Oct 13 04:31:44 lnx spice-vdagent[1321]: clipboard: STRING
Oct 13 04:31:44 lnx spice-vdagent[1321]: clipboard: text/plain;charset=utf-8
Oct 13 04:31:44 lnx spice-vdagent[1321]: clipboard: text/plain
Oct 13 04:31:44 lnx spice-vdagent[1321]: 0x55a91645ddc0 sent clipboard grab, arg1: 0, arg2: 0, size 4
Oct 13 04:31:44 lnx spice-vdagentd[584]: 0x5558c0daf8e0 received clipboard grab, arg1: 0, arg2: 0, size 4
...
Comment 5 poma 2015-10-13 05:27:32 EDT
# systemctl stop spice-vdagentd.service 

# systemctl status spice-vdagentd.service 
● spice-vdagentd.service - Agent daemon for Spice guests
   Loaded: loaded (/usr/lib/systemd/system/spice-vdagentd.service; enabled; vendor preset: enabled)
  Drop-In: /etc/systemd/system/spice-vdagentd.service.d
           └─debug.conf
   Active: failed (Result: signal) since Tue 2015-10-13 04:34:21 EDT; 5s ago
  Process: 579 ExecStart=/usr/sbin/spice-vdagentd -d -d (code=exited, status=0/SUCCESS)
  Process: 561 ExecStartPre=/bin/rm -f /var/run/spice-vdagentd/spice-vdagent-sock (code=exited, status=0/SUCCESS)
 Main PID: 584 (code=killed, signal=KILL)

Oct 13 04:30:32 lnx spice-vdagentd[584]: screen 0: +0+0
Oct 13 04:30:32 lnx spice-vdagentd[584]: opening vdagent virtio channel
Oct 13 04:31:42 lnx spice-vdagentd[584]: 0x5558c0daf8e0 received clipboard grab, arg1: 1, arg2: 0, size 4
Oct 13 04:31:44 lnx spice-vdagentd[584]: 0x5558c0daf8e0 received clipboard grab, arg1: 0, arg2: 0, size 4
Oct 13 04:32:51 lnx systemd[1]: Stopping Agent daemon for Spice guests...
Oct 13 04:34:21 lnx systemd[1]: spice-vdagentd.service: State 'stop-sigterm' timed out. Killing.
Oct 13 04:34:21 lnx systemd[1]: spice-vdagentd.service: Main process exited, code=killed, status=9/KILL
Oct 13 04:34:21 lnx systemd[1]: Stopped Agent daemon for Spice guests.
Oct 13 04:34:21 lnx systemd[1]: spice-vdagentd.service: Unit entered failed state.
Oct 13 04:34:21 lnx systemd[1]: spice-vdagentd.service: Failed with result 'signal'.
Comment 6 poma 2015-10-13 05:28:06 EDT
# journalctl -b -t spice-vdagentd -t spice-vdagent
...
Oct 13 04:34:21 lnx spice-vdagent[1321]: 0x55a91645ddc0 disconnected
Oct 13 04:34:22 lnx spice-vdagent[1321]: connect /var/run/spice-vdagentd/spice-vdagent-sock: Connection refused
Oct 13 04:34:23 lnx spice-vdagent[1321]: connect /var/run/spice-vdagentd/spice-vdagent-sock: Connection refused
Oct 13 04:34:24 lnx spice-vdagent[1321]: connect /var/run/spice-vdagentd/spice-vdagent-sock: Connection refused
Oct 13 04:34:25 lnx spice-vdagent[1321]: connect /var/run/spice-vdagentd/spice-vdagent-sock: Connection refused
...
Comment 7 poma 2015-10-13 05:29:16 EDT
# loginctl session-status 1 
1 - test (1000)
           Since: Tue 2015-10-13 04:30:31 EDT; 9min ago
          Leader: 916
            Seat: seat0; vc1
         Display: :0
         Service: lightdm-autologin; type x11; class user
           State: closing
            Unit: session-1.scope
                  ├─1244 /usr/bin/gpg-agent --sh --daemon --write-env-file /home/test/.cache/gpg-agent-info
                  └─1321 /usr/bin/spice-vdagent -d

Oct 13 04:40:10 lnx spice-vdagent[1321]: connect /var/run/spice-vdagentd/spice-vdagent-sock: Connection refused
Oct 13 04:40:11 lnx spice-vdagent[1321]: connect /var/run/spice-vdagentd/spice-vdagent-sock: Connection refused
Oct 13 04:40:12 lnx spice-vdagent[1321]: connect /var/run/spice-vdagentd/spice-vdagent-sock: Connection refused
Oct 13 04:40:13 lnx spice-vdagent[1321]: connect /var/run/spice-vdagentd/spice-vdagent-sock: Connection refused
Oct 13 04:40:14 lnx spice-vdagent[1321]: connect /var/run/spice-vdagentd/spice-vdagent-sock: Connection refused
Oct 13 04:40:15 lnx spice-vdagent[1321]: connect /var/run/spice-vdagentd/spice-vdagent-sock: Connection refused
Oct 13 04:40:16 lnx spice-vdagent[1321]: connect /var/run/spice-vdagentd/spice-vdagent-sock: Connection refused
Oct 13 04:40:17 lnx spice-vdagent[1321]: connect /var/run/spice-vdagentd/spice-vdagent-sock: Connection refused
Oct 13 04:40:18 lnx spice-vdagent[1321]: connect /var/run/spice-vdagentd/spice-vdagent-sock: Connection refused
Oct 13 04:40:19 lnx spice-vdagent[1321]: connect /var/run/spice-vdagentd/spice-vdagent-sock: Connection refused
Oct 13 04:40:20 lnx spice-vdagent[1321]: connect /var/run/spice-vdagentd/spice-vdagent-sock: Connection refused


# loginctl terminate-session 1 

# loginctl session-status 1 
Failed to get session: No session '1' known
Comment 8 poma 2015-10-13 05:30:02 EDT
# systemctl start spice-vdagentd.service 

# systemctl status spice-vdagentd.service 
● spice-vdagentd.service - Agent daemon for Spice guests
   Loaded: loaded (/usr/lib/systemd/system/spice-vdagentd.service; enabled; vendor preset: enabled)
  Drop-In: /etc/systemd/system/spice-vdagentd.service.d
           └─debug.conf
   Active: active (running) since Tue 2015-10-13 04:43:14 EDT; 5s ago
  Process: 2026 ExecStart=/usr/sbin/spice-vdagentd -d -d (code=exited, status=0/SUCCESS)
  Process: 2024 ExecStartPre=/bin/rm -f /var/run/spice-vdagentd/spice-vdagent-sock (code=exited, status=0/SUCCESS)
 Main PID: 2028 (spice-vdagentd)
   CGroup: /system.slice/spice-vdagentd.service
           └─2028 /usr/sbin/spice-vdagentd -d -d

Oct 13 04:43:14 lnx systemd[1]: Starting Agent daemon for Spice guests...
Oct 13 04:43:14 lnx systemd[1]: Started Agent daemon for Spice guests.
Comment 9 poma 2015-10-13 05:30:51 EDT
# loginctl session-status 6
6 - test (1000)
           Since: Tue 2015-10-13 04:43:33 EDT; 1min 25s ago
          Leader: 1638 (lightdm)
            Seat: seat0; vc1
         Display: :0
         Service: lightdm; type x11; class user
           State: active
            Unit: session-6.scope
                  ├─1638 lightdm --session-child 12 19
                  ├─2050 /bin/sh /etc/xdg/xfce4/xinitrc -- vt
                  ├─2193 /usr/bin/ssh-agent /bin/sh -c exec -l /bin/bash -c "startxfce4"
                  ├─2219 xfce4-session
                  ├─2224 /usr/bin/gpg-agent --sh --daemon --write-env-file /home/test/.cache/gpg-agent-info
                  ├─2225 xfwm4 --display :0.0 --sm-client-id 27330e701-d68d-4c4f-99f3-bc49d6e2c5b2
                  ├─2226 xfce4-panel --display :0.0 --sm-client-id 2aa520bff-fd3c-4352-954a-fc224e86b25c
                  ├─2228 xfsettingsd --display :0.0 --sm-client-id 2f8c1ee56-880a-42a3-afb7-a997486e61a5
                  ├─2230 xfdesktop --display :0.0 --sm-client-id 227f85ad5-1a35-4d58-8b66-73d9707b8bd7
                  ├─2237 /usr/lib64/xfce4/panel/wrapper-1.0 /usr/lib64/xfce4/panel/plugins/libnetload.so 16 10485804 netload Network Monitor Show
                  ├─2238 /usr/lib64/xfce4/panel/wrapper-2.0 /usr/lib64/xfce4/panel/plugins/libpulseaudio-plugin.so 17 10485805 pulseaudio PulseAu
                  ├─2240 /usr/lib64/xfce4/panel/wrapper-1.0 /usr/lib64/xfce4/panel/plugins/libsystray.so 6 10485806 systray Notification Area Are
                  ├─2241 /usr/lib64/xfce4/panel/wrapper-1.0 /usr/lib64/xfce4/panel/plugins/libactions.so 2 10485812 actions Action Buttons Log ou
                  ├─2244 xfce4-power-manager --restart --sm-client-id 2afaffa73-9bd8-4a97-9b06-7a20bf705300
                  ├─2245 xfce4-clipman
                  ├─2252 nm-applet
                  ├─2255 /usr/libexec/polkit-gnome-authentication-agent-1
                  ├─2263 /usr/bin/spice-vdagent -d
                  └─2297 /usr/bin/pulseaudio --start --log-target=syslog

Oct 13 04:43:33 lnx systemd[1]: Started Session 6 of user test.
Oct 13 04:43:33 lnx lightdm[1638]: pam_unix(lightdm:session): session opened for user test by (uid=0)
Oct 13 04:43:34 lnx spice-vdagent[2263]: 0x55f8b3684dc0 connected to /var/run/spice-vdagentd/spice-vdagent-sock
Oct 13 04:43:34 lnx spice-vdagent[2263]: Selection window: 33554433
Oct 13 04:43:34 lnx spice-vdagent[2263]: Screen 0 1024x768+0+0
Oct 13 04:43:34 lnx spice-vdagent[2263]: 0x55f8b3684dc0 sent guest xorg resolution, arg1: 1024, arg2: 768, size 16
Oct 13 04:43:34 lnx spice-vdagent[2263]: net_wm_name: "Xfwm4", has icons: 1
Oct 13 04:43:34 lnx spice-vdagent[2263]: 0x55f8b3684dc0 received version, arg1: 0, arg2: 0, size 7
Oct 13 04:43:34 lnx pulseaudio[2297]: [pulseaudio] alsa-util.c: Disabling timer-based scheduling because running inside a VM.
Oct 13 04:43:34 lnx pulseaudio[2357]: [pulseaudio] pid.c: Daemon already running.
Comment 10 poma 2015-10-13 05:31:49 EDT
# journalctl -b -t spice-vdagentd -t spice-vdagent
...
Oct 13 04:34:26 lnx spice-vdagent[1321]: connect /var/run/spice-vdagentd/spice-vdagent-sock: Connection refused
Oct 13 04:34:27 lnx spice-vdagent[1321]: connect /var/run/spice-vdagentd/spice-vdagent-sock: Connection refused
Oct 13 04:34:28 lnx spice-vdagent[1321]: connect /var/run/spice-vdagentd/spice-vdagent-sock: Connection refused
...
Oct 13 04:41:17 lnx spice-vdagent[1321]: connect /var/run/spice-vdagentd/spice-vdagent-sock: Connection refused
Oct 13 04:43:32 lnx spice-vdagentd[2028]: Active session: c1
Oct 13 04:43:32 lnx spice-vdagentd[2028]: Error getting active session: No data available
Oct 13 04:43:32 lnx spice-vdagentd[2028]: Error getting active session: No data available
Oct 13 04:43:33 lnx spice-vdagentd[2028]: Active session: 6
Oct 13 04:43:34 lnx spice-vdagent[2263]: 0x55f8b3684dc0 connected to /var/run/spice-vdagentd/spice-vdagent-sock
Oct 13 04:43:34 lnx spice-vdagentd[2028]: new client accepted: 0x560b548d9a40, pid: 2263
Oct 13 04:43:34 lnx spice-vdagentd[2028]: Session for pid 2263: 6
Oct 13 04:43:34 lnx spice-vdagentd[2028]: 0x560b548d9a40 sent version, arg1: 0, arg2: 0, size 7
Oct 13 04:43:34 lnx spice-vdagentd[2028]: 0x560b548d9a40 is now the active session
Oct 13 04:43:34 lnx spice-vdagent[2263]: Selection window: 33554433
Oct 13 04:43:34 lnx spice-vdagent[2263]: Screen 0 1024x768+0+0
Oct 13 04:43:34 lnx spice-vdagent[2263]: 0x55f8b3684dc0 sent guest xorg resolution, arg1: 1024, arg2: 768, size 16
Oct 13 04:43:34 lnx spice-vdagent[2263]: net_wm_name: "Xfwm4", has icons: 1
Oct 13 04:43:34 lnx spice-vdagentd[2028]: 0x560b548d9a40 received guest xorg resolution, arg1: 1024, arg2: 768, size 16
Oct 13 04:43:34 lnx spice-vdagent[2263]: 0x55f8b3684dc0 received version, arg1: 0, arg2: 0, size 7
Oct 13 04:43:34 lnx spice-vdagentd[2028]: uinput-update-size: 1024x768
Oct 13 04:43:34 lnx spice-vdagentd[2028]: screen 0: +0+0
Oct 13 04:43:34 lnx spice-vdagentd[2028]: opening vdagent virtio channel
Comment 11 poma 2015-10-13 05:32:31 EDT
[*     ] A stop job is running for Agent dae...or Spice guests (29s / 1min 30s)
[ ***  ] A stop job is running for Agent dae...or Spice guests (42s / 1min 30s)
[     *] A stop job is running for Agent dae...pice guests (1min 1s / 1min 30s)
[  *** ] A stop job is running for Agent dae...ice guests (1min 23s / 1min 30s)
...
[  OK  ] Stopped Agent daemon for Spice guests.
...
[ 1394.154894] systemd-shutdown[1]: Powering off.
[ 1394.156846] kvm: exiting hardware virtualization
[ 1394.173655] ACPI: Preparing to enter system sleep state S5
[ 1394.177662] reboot: Power down
Comment 12 Christophe Fergeau 2015-10-13 05:32:50 EDT
Which application(s) are you testing with? Have you tried with a terminal or a basic text editor? (and I usually use copy/paste from right-click context menus to be 100% sure the application registered my c&p attempt).
Comment 13 poma 2015-10-13 05:45:00 EDT
Debug setup:

- Spice guest agent daemon

  /etc/systemd/system/spice-vdagentd.service.d/debug.conf 
  [Service]
  ExecStart=
  ExecStart=/usr/sbin/spice-vdagentd -d -d

- Spice guest agent X11 session agent
  - disabled vulgaris original -
    /etc/xdg/autostart/spice-vdagent.desktop

    .config/autostart/spice-vdagent.desktop 
    [Desktop Entry]
    Hidden=true

  - created & enabled debugista -
    /etc/xdg/autostart/spice-vdagent-debug.desktop
    [Desktop Entry]
    Name=Spice vdagent debug
    Comment=Agent for Spice guests
    Exec=/usr/bin/spice-vdagent -d
    Terminal=false
    Type=Application
    Categories=
    X-GNOME-Autostart-Phase=Initialization
Comment 15 poma 2015-10-13 06:05:58 EDT
(In reply to Christophe Fergeau from comment #12)
> Which application(s) are you testing with? Have you tried with a terminal or
> a basic text editor? (and I usually use copy/paste from right-click context
> menus to be 100% sure the application registered my c&p attempt).

xfce4-terminal, leafpad, thunar, midori, ...

Guest <-> Host:
1. select text
2. rigth mouse button click over selected text
3. left mouse button click on "Copy"
4. rigth mouse button click over available text area
5. left mouse button click on "Paste"
Comment 16 poma 2015-10-13 06:22:54 EDT
Tested on Fedora stable 22 host w/:

$ qemu-system-x86_64 --version
QEMU emulator version 2.3.1 (qemu-2.3.1-7.fc22), Copyright (c) 2003-2008 Fabrice Bellard
$ libvirtd --version
libvirtd (libvirt) 1.2.13.1
$ virt-manager --version
1.2.1

$ rpm -q qemu libvirt virt-manager
qemu-2.3.1-7.fc22.x86_64
libvirt-1.2.13.1-3.fc22.x86_64
virt-manager-1.2.1-2.fc22.noarch
Comment 17 Christophe Fergeau 2015-10-13 06:51:35 EDT
I can hit this after starting the livecd. However, after a killall spice-vdagentd && spice-vdagentd -d -x, c&p is working as expected. Not sure what's wrong upon first start of the agent...
Comment 18 poma 2015-10-14 09:04:08 EDT
((null):9247): Spice-Warning **: reds.c:3122:spice_server_add_interface: unsupported char device interface

Is this warning somehow relevant?
Comment 19 poma 2015-10-14 10:11:17 EDT
(In reply to poma from comment #18)
> ((null):9247): Spice-Warning **: reds.c:3122:spice_server_add_interface:
> unsupported char device interface
> 
> Is this warning somehow relevant?

Yep

On guest:
/usr/sbin/spice-vdagentd -d -x
/usr/bin/spice-vdagent -d -x

On host:
((null):4591): Spice-Warning **: reds.c:3122:spice_server_add_interface: unsupported char device interface

spice_server_add_interface
http://cgit.freedesktop.org/spice/spice/tree/server/reds.c#n3119
SPICE_INTERFACE_CHAR_DEVICE
unsupported char device interface
http://cgit.freedesktop.org/spice/spice/tree/server/reds.c#n3197
Comment 20 poma 2015-10-14 12:04:10 EDT
(In reply to poma from comment #11)
> [*     ] A stop job is running for Agent dae...or Spice guests (29s / 1min
> 30s)
> [ ***  ] A stop job is running for Agent dae...or Spice guests (42s / 1min
> 30s)
> [     *] A stop job is running for Agent dae...pice guests (1min 1s / 1min
> 30s)
> [  *** ] A stop job is running for Agent dae...ice guests (1min 23s / 1min
> 30s)
> ...
> [  OK  ] Stopped Agent daemon for Spice guests.
> ...
> [ 1394.154894] systemd-shutdown[1]: Powering off.
> [ 1394.156846] kvm: exiting hardware virtualization
> [ 1394.173655] ACPI: Preparing to enter system sleep state S5
> [ 1394.177662] reboot: Power down

This delay is related to the
((null):....): Spice-Warning **: reds.c:3122:spice_server_add_interface: unsupported char device interface
Comment 21 poma 2015-10-14 12:07:42 EDT
This is problematic component:

- qemu-2.3.1-3.fc22.x86_64 OK
- qemu-2.3.1-4.fc22.x86_64 OK
- qemu-2.3.1-5.fc22.x86_64 OK
- qemu-2.3.1-6.fc22.x86_64 OK
- qemu-2.3.1-7.fc22.x86_64 BROKEN
Comment 22 poma 2015-10-14 12:09:43 EDT
To be precise, some of these patches break spice-vdagent:

diff
 qemu-2.3.1-6.fc22
 qemu-2.3.1-7.fc22

# CVE-2015-7295: virtio-net possible remote DoS (bz #1264393)
Patch0016: 0016-virtio-introduce-virtqueue_unmap_sg.patch
http://pkgs.fedoraproject.org/cgit/qemu.git/tree/0016-virtio-introduce-virtqueue_unmap_sg.patch?h=f22
Patch0017: 0017-virtio-introduce-virtqueue_discard.patch
http://pkgs.fedoraproject.org/cgit/qemu.git/tree/0017-virtio-introduce-virtqueue_discard.patch?h=f22
Patch0018: 0018-virtio-net-correctly-drop-truncated-packets.patch
http://pkgs.fedoraproject.org/cgit/qemu.git/tree/0018-virtio-net-correctly-drop-truncated-packets.patch?h=f22
# drive-mirror: Fix coroutine reentrance (bz #1266936)
Patch0019: 0019-mirror-Fix-coroutine-reentrance.patch
http://pkgs.fedoraproject.org/cgit/qemu.git/tree/0019-mirror-Fix-coroutine-reentrance.patch?h=f22
# Fix udp socket 'localaddr' (bz #1268708)
Patch0020: 0020-util-socket-Add-missing-localaddr-and-localport-opti.patch
http://pkgs.fedoraproject.org/cgit/qemu.git/tree/0020-util-socket-Add-missing-localaddr-and-localport-opti.patch?h=f22
Comment 23 poma 2015-10-14 12:38:30 EDT
To be even more precise, some of these four patches within qemu-2.3.1-7.fc22 break spice-vdagent:
- 0016-virtio-introduce-virtqueue_unmap_sg.patch
- 0017-virtio-introduce-virtqueue_discard.patch
- 0018-virtio-net-correctly-drop-truncated-packets.patch
- 0019-mirror-Fix-coroutine-reentrance.patch

and, the same patches realigned come with qemu-2.4.0.1:
- 0004-virtio-introduce-virtqueue_unmap_sg.patch
- 0005-virtio-introduce-virtqueue_discard.patch
- 0006-virtio-net-correctly-drop-truncated-packets.patch
- 0007-mirror-Fix-coroutine-reentrance.patch

See:
http://pkgs.fedoraproject.org/cgit/qemu.git/tree/
Comment 24 poma 2015-10-14 12:45:24 EDT
Moreover, some of these four patches do not only break spice-vdagent, but still caused an additional problem - when "vga=" higher than standard 80x25 mode is used:
"mouse event for unknown monitor (0 >= 0) - mouse lost"
https://bugzilla.redhat.com/show_bug.cgi?id=1269667
Comment 25 poma 2015-10-14 18:44:42 EDT
It is still just a theory, especially since no consistent test results on the two systems.
Comment 26 poma 2015-10-15 03:21:54 EDT
(In reply to poma from comment #20)
> (In reply to poma from comment #11)
> > [*     ] A stop job is running for Agent dae...or Spice guests (29s / 1min
> > 30s)
> > [ ***  ] A stop job is running for Agent dae...or Spice guests (42s / 1min
> > 30s)
> > [     *] A stop job is running for Agent dae...pice guests (1min 1s / 1min
> > 30s)
> > [  *** ] A stop job is running for Agent dae...ice guests (1min 23s / 1min
> > 30s)
> > ...
> > [  OK  ] Stopped Agent daemon for Spice guests.
> > ...
> > [ 1394.154894] systemd-shutdown[1]: Powering off.
> > [ 1394.156846] kvm: exiting hardware virtualization
> > [ 1394.173655] ACPI: Preparing to enter system sleep state S5
> > [ 1394.177662] reboot: Power down
> 
> This delay is related to the
> ((null):....): Spice-Warning **: reds.c:3122:spice_server_add_interface:
> unsupported char device interface

This warning is in fact an indication for a kaputt shared clipboard.
The part I do not understand is why it breaks, and even more, why it is happening on a one host and not on the other one - both Fedora 22 with practically the same domain configuration.
Comment 27 poma 2015-10-15 05:35:05 EDT
I just finished another round of testing, and these are the conclusions.

"vga=" higher than standard 80x25 mode - is a separate problem, it won't break spice-vdagent, but breaks display - hence the mouse.
It affects only the initramfs images generated in default "hostonly" mode, starting with the kernel 4.3.0-0.rc0.git8.1.fc24.x86_64.

Also, four mentioned QEMU patches have nothing to do with "vga=" issue, nor with the spice-vdagent.

Regarding "((null):....): Spice-Warning **: reds.c:3122:spice_server_add_interface: unsupported char device interface"
which is an indication of a broken shared clipboard, thus broken spice-vdagent communication with the host - I still have no answer what is going on and why it is happening, in particular because it happens only on one host.

Regarding spice-vdagent, despite everything written, it works reliably, more reliably on installed system,
a little less reliably on LiveCD/DVD - https://bugzilla.redhat.com/show_bug.cgi?id=1271153#c17 - it is actually nothing new.


Tested on Fedora 22 and Rawhide hosts w/:
- Rawhide-Xfce-Live-1015.iso
- Fedora-Live-Workstation-x86_64-23-TC9.iso
Comment 28 poma 2015-10-15 17:11:42 EDT
(In reply to poma from comment #27)
...
> Regarding "((null):....): Spice-Warning **:
> reds.c:3122:spice_server_add_interface: unsupported char device interface"
> which is an indication of a broken shared clipboard, thus broken
> spice-vdagent communication with the host - I still have no answer what is
> going on and why it is happening, in particular because it happens only on
> one host.

Local (re)build via rpmbuild - qemu-2.3.1-7.fc22.src.rpm, did the trick.
Comment 29 poma 2015-10-16 03:35:18 EDT
https://kojipkgs.fedoraproject.org/packages/qemu/2.3.1/7.fc22/data/logs/x86_64/root.log

...
DEBUG util.py:377:  Getting requirements for 2:qemu-2.3.1-7.fc22.src
...
DEBUG util.py:377:   --> spice-protocol-0.12.10-1.fc22.noarch
DEBUG util.py:377:   --> spice-server-devel-0.12.6-1.fc22.x86_64
...
DEBUG util.py:377:  Installing:
...
DEBUG util.py:377:   spice-protocol         noarch 0.12.10-1.fc22                       build  60 k
DEBUG util.py:377:   spice-server-devel     x86_64 0.12.6-1.fc22                        build  20 k
...
DEBUG util.py:377:  Installing for dependencies:
...
DEBUG util.py:377:   spice-server           x86_64 0.12.6-1.fc22                        build 393 k
...
DEBUG util.py:377:  Installed:
...
DEBUG util.py:377:    spice-protocol.noarch 0:0.12.10-1.fc22                                        
DEBUG util.py:377:    spice-server-devel.x86_64 0:0.12.6-1.fc22                                     
...
DEBUG util.py:377:  Dependency Installed:
...
DEBUG util.py:377:    spice-server.x86_64 0:0.12.6-1.fc22                                           
...


QEMU 2.3.1-7 I picked up from koji, before it reached updates-testing repo,
so I missed to upgrade to a particular (libspice)-server version - 0.12.6.
It is the origin of the "Spice-Warning ... unsupported char device interface"

Mea culpa.
Comment 30 Christophe Fergeau 2015-10-16 11:03:22 EDT
Right, after http://cgit.freedesktop.org/spice/spice/commit/?id=697f3214fd16adcd524456003619f7f44ddd031b (which is in 0.12.6), if QEMU was built against spice-server 0.12.6, then you need a matching version to run it otherwise you will get this warning. Thanks for getting to the bottom of it!

However, the initial issue is still present for me, even without getting that log about "unsupported char device interface": vdagent is not functional right after starting up that rawhide xfce livecd.
Comment 31 poma 2015-10-16 12:16:37 EDT
(In reply to Christophe Fergeau from comment #30)
...
> However, the initial issue is still present for me, even without getting
> that log about "unsupported char device interface": vdagent is not
> functional right after starting up that rawhide xfce livecd.


What about this one?
spice-vdagentd.service sometimes does not start on LiveCD
https://bugzilla.redhat.com/show_bug.cgi?id=1160222

... and
http://cgit.freedesktop.org/spice/linux/vd_agent/tree/data/spice-vdagentd.service#n5
# TODO we should use:
#Requires=spice-vdagentd.socket
Comment 32 Christophe Fergeau 2015-10-16 17:18:57 EDT
Iirc, vdagent/vdagentd are both running, but c&p is not functional, so this should not be related to these.
Comment 33 poma 2015-10-18 02:29:29 EDT
For an accurate comparison,
you can do the test with the test compilation I tested:
http://goo.gl/Gm4ffO
iso/Rawhide-Xfce-Live-1017.iso

My result is:
shared clipboard via spice-vdagent passed 101% via LiveCD(not installed system)

Testing was done more than 10 times,
on Fedora 22 host - qemu-2.3.1-7.fc22.x86_64
and Rawhide host - qemu-2.4.0.1-2.fc24.x86_64
Comment 34 Ken Rossato 2015-10-27 13:55:09 EDT
> Right, after
> http://cgit.freedesktop.org/spice/spice/commit/
> ?id=697f3214fd16adcd524456003619f7f44ddd031b (which is in 0.12.6), if QEMU
> was built against spice-server 0.12.6, then you need a matching version to
> run it otherwise you will get this warning. Thanks for getting to the bottom
> of it!

The latest spice-server available on the F22 mirrors (as of 10/27) is 0.12.5-6.fc22.  With qemu-2.3.1-7.fc22 my logs are getting spammed with the title error and the spice-vdagentd process on the client machine pegs the CPU.  I resolved by downgrading to 2.3.1-6, but the repos (or spec-files) should probably be updated so that people don't inadvertently update themselves into a problematic state.
Comment 35 Tom Horsley 2015-10-27 21:24:53 EDT
Can anyone explain in a non-cryptic way exactly what commands to run on a fully updated f22 system to get a consistent set of software installed which allows cut & paste to work? What versions of which packages should I have installed to make everything work? (And why on earth was this closed as not a bug, it sure seems like a bug to me :-).
Comment 36 Rob klein Gunnewiek 2015-10-28 08:16:45 EDT
Ran into the same issue. My Windows 7 guest became unresponsive and screen resizing no longer worked. It works now after downgrading to 2.3.1-6

@Tom Horsley: You can find the qemu-2.3.1-6 builds here: http://koji.fedoraproject.org/koji/buildinfo?buildID=686997 (for x86_64: https://kojipkgs.fedoraproject.org//packages/qemu/2.3.1/6.fc22/x86_64/)

Temporary workaround (to downgrade to 2.3.1-6):

mkdir dl
cd dl
wget -r --no-parent --reject "index.html*" --reject "qemu-system*" --accept "qemu-system-x86" --reject "devel*" https://kojipkgs.fedoraproject.org//packages/qemu/2.3.1/6.fc22/x86_64/

To downgrade the packages:

for i in *; do rpm -q $(rpm -qp --qf '%{name}\n' $i) &>/dev/null && echo "./$i"; done |xargs sudo dnf install -y
Comment 37 Tom Horsley 2015-10-28 08:30:56 EDT
Thanks for the detailed info. I'll give it a try when I get home and hopefully get things working again.
Comment 38 Cole Robinson 2015-10-28 09:01:45 EDT
https://bugzilla.redhat.com/show_bug.cgi?id=1275789 is tracking the regression with qemu-2.3.1-7.fc22. The fix is:

  sudo yum --enablerepo=updates-testing update spice\*

Basically you need spice-server-0.12.6 installed
Comment 39 Tom Horsley 2015-10-28 19:58:26 EDT
Yep. Updating spice-server from testing seems to have worked (that seemed simpler than downgrading qemu :-).
Comment 40 Rob klein Gunnewiek 2015-10-30 02:40:07 EDT
@Tom Horsley great, yeah that's much better.

Note You need to log in before you can comment on or make changes to this bug.